# Introduction

- Current practices for developing Materials Data Analytics Tool-Sets are highly localized within a few individual groups resulting in major inefficiency (unnecessary duplication of codes, inadequate verification and validation of multiple instantiations of code, not engaging the right talent for the right task, etc.)  
- Community development and sharing of code repositories has been successful in certain science communities. Advantages of this approach include increased e-teaming and e-collaborations, vastly improved code hygiene, promotion of open science, rapid verification and validation, and a dramatic increase in overall productivity. 
-  Community development of a materials data analytics tool-set can significantly change the landscape of the emerging cross-disciplinary field of Materials Informatics and address the critical needs outlined in MGI and ICME. This is probably the only practical way to get materials scientists and computer scientists to establish meaningful, mutually beneficial, and highly productive collaborations. Current efforts in materials science are:
  - PyMatgen http://pymatgen.org/
  - Other projects http://materials-informatics-lab.github.io/material-hammers/
- PyMKS aims to seed and nurture an emergent user group in the materials data analytics for establishing homogenization and localization linkages by leveraging open source scientific and machine learning packages in Python. The approach used to develop PyMKS as well as several examples are presented. This paper is a call to others interested in participating in this open science activity. 

